%define name flightgear
%define version	3.4.0
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release: 	%{release}
Summary:	An open-source flight simulator
License:	GPLv2+
Group:		Games/Other
URL:		http://www.flightgear.org/
Source0:	http://mirrors.ibiblio.org/pub/mirrors/flightgear/ftp/Source/%{name}-%{version}.tar.xz
Source1:	FlightGear.png
Patch0:		0007-Stop-using-property-listener-for-fgValidatePath.patch
Patch1:		0008-Normalize-the-allowed-paths-as-well-fix-Windows-brea.patch
Patch2:		flightgear-3.4.0-linkage.patch
BuildRequires:	%{_lib}openal-devel %{_lib}mesagl1-devel boost-devel udev-devel %{_lib}freeglut-devel
BuildRequires:	%{_lib}x11-devel findutils %{_lib}mesagl1-devel libstdc++-devel freeglut-devel %{_lib}freealut-devel
BuildRequires:	autoconf automake libmetakit-devel plib-devel zlib-devel cmake %{_lib}xmu-devel %{_lib}sqlite3-devel
BuildRequires:	%{_lib}OpenSceneGraph-devel %{_lib}simgear-devel  = %{version} %{_lib}fltk-devel
BuildRequires:	m4 >= 1.4.13
Requires:	%{_lib}mesagl1 %{_lib}OpenSceneGraph %{_lib}OpenThreads OpenSceneGraph-plugins
Requires:	%{name}-data = %{version}
Suggests:	fgrun
#For terrasync support
Requires:	subversion
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Provides:	FlightGear = %{version}-%{release}


%description
FlightGear Flight Simulator project is an open-source, multi-platform,
cooperative flight simulator development project. Source code for the
entire project is available (CVS repository) and licensed under the
GNU General Public License.
The goal of the FlightGear project is to create a sophisticated flight
simulator framework for use in research or academic environments, for
the development and pursuit of other interesting flight simulation
ideas, and as an end-user application. We are developing a
sophisticated, open simulation framework that can be expanded and
improved upon by anyone interested in contributing.

%prep
%setup -q -D -n %{name}-%{version}
%apply_patches

%build

%cmake \
	-DBUILD_SHARED_LIBS=OFF \
	-DFG_DATA_DIR=%{_gamesdatadir}/%{name} \
	-DSYSTEM_FLITE=OFF \
	-DSYSTEM_GSM=ON \
	-DSYSTEM_SPEEX=ON \
	-DSYSTEM_SQLITE=ON \
	-DSIMGEAR_SHARED=ON
%make

%install
rm -rf %{buildroot}
%make_install -C build

install -D package/flightgear.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

pushd icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor
for i in `find * -maxdepth 0 -type d`
do
  cp -fr $i %{buildroot}%{_iconsdir}/hicolor/
done
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
mv %{buildroot}%{_iconsdir}/hicolor/scalable/*.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
popd


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING
%{_bindir}
%{_datadir}

%changelog
* Fri Apr 08 2016 bb <bb> 3.4.0-2pclos2016
- rebuild for updates

* Thu Jun 11 2015 MBantz <martin dot bantz at gmail dot com> 3.4.0-1pclos2015
- Use straight make and cmake as the macro equivalents won't compile fg
- 3.4.0

* Mon Apr 07 2014 pinoc <vogtpet at gmail.com> 3.0.0-1pclos2014
- 3.0.0

* Thu Oct 24 2013 billybot <billybot> 2.12.0-2pclos2013
- rebuild for new libs

* Fri Sep 27 2013 pinoc <vogtpet at gmail.com> 2.12.0-1pclos2013
- 2.12.0
- updated new BR and old ones to match 32/64
- fixed file permissions

* Sat Jun 14 2009 MBantz <martin dot bantz at gmail dot com> 1.9.1-1pclos2007
- Update to 1.9.1
- Moved to /usr/share/games
- Separate application and data

* Tue Apr 15 2008 P. K. Frederic <pkfric@yahoo.com> 1.0.0-1pclos2007
- initial build for PCLinuxOS
